Subject: Re: [PATCH v4] git-completion.bash: add support for path completion

From: Manlio Perillo <[email-masked]>
Date: Sun, 06 Jan 2013 19:00:21 +0100

Il 05/01/2013 07:27, Junio C Hamano ha scritto:
> Junio C Hamano <[email-masked]> writes:
> 
>> Marc Khouzam <[email-masked]> writes:
>>
>>> I've been playing with it but I'm not getting the expected 
>>> behavior when I cd to a sub-directory.
>>
>> Thanks for testing.  Manlio?
> 
> Can you try the attached patch?
> 

Thanks, it seems to fix the problem.

> As I am not familiar with the completion machinery, take this with a
> large grain of salt.  Here is my explanation of what is going on in
> this "how about this" fixup:
> 
>  * Giving --git-dir from the command line (or GIT_DIR environment)
>    without specifying GIT_WORK_TREE is to signal Git that you are at
>    the top of the working tree.  "git ls-files" will then show the
>    full tree even outside the real $cwd because you are lying to
>    Git.
> 

I was not aware of this, and blindly copied the code from the other
existing functions.
However the other completion functions never have to deal with paths in
the working directory.

I have applied the patch to my local branch.

> [...]

Regards   Manlio